Visitors

GET https://megaserwer.pl/api/visitors/
curl --request GET \
--url 'https://megaserwer.pl/api/visitors/' \
--header 'Authorization: Bearer {api_key}' \
Parameters Details Description
website_id Optional Integer Filter results to a single website ID.
start_date Optional String Start date in Y-m-d format. Filters by the visitor's last activity.
end_date Optional String End date in Y-m-d format. Filters by the visitor's last activity.
order_by Optional String What field to order the results by. Allowed values are: visitor_id , last_date , total_sessions.
order_type Optional String The ordering of the results. Allowed values are: ASC for ascending ordering, and DESC for descending ordering.
page Optional Integer The page number that you want results from. Defaults to 1.
results_per_page Optional Integer How many results you want per page. Allowed values are: 10 , 25 , 50 , 100 , 250 , 500 , 1000. Defaults to 25.
{
    "data": [
        {
            "id": 1,
            "visitor_uuid": "1234567890abcdef1234567890abcdef",
            "website_id": 1,
            "goals_conversions_ids": [],
            "ip": "127.0.0.1",
            "custom_parameters": null,
            "continent_code": "EU",
            "country_code": "PL",
            "city_name": "Warsaw",
            "os_name": "iOS",
            "os_version": "17.0",
            "browser_name": "Safari",
            "browser_version": "17.0",
            "browser_language": "en-US",
            "browser_timezone": "Europe/Warsaw",
            "device_type": "mobile",
            "theme": "light",
            "total_sessions": 3,
            "last_event_id": 42,
            "last_date": "2026-10-22 18:01:04",
            "date": "2026-10-22 18:01:04"
        },
    ],
    "meta": {
        "page": 1,
        "results_per_page": 25,
        "total": 1,
        "total_pages": 1
    },
    "links": {
        "first": "https://megaserwer.pl/api/visitors?page=1",
        "last": "https://megaserwer.pl/api/visitors?page=1",
        "next": null,
        "prev": null,
        "self": "https://megaserwer.pl/api/visitors?page=1"
    }
}
GET https://megaserwer.pl/api/visitors/{visitor_id}
curl --request GET \
--url 'https://megaserwer.pl/api/visitors/{visitor_id}' \
--header 'Authorization: Bearer {api_key}' \
{
    "data": {
        "id": 1,
        "visitor_uuid": "1234567890abcdef1234567890abcdef",
        "website_id": 1,
        "goals_conversions_ids": [],
        "ip": "127.0.0.1",
        "custom_parameters": null,
        "continent_code": "EU",
        "country_code": "PL",
        "city_name": "Warsaw",
        "os_name": "iOS",
        "os_version": "17.0",
        "browser_name": "Safari",
        "browser_version": "17.0",
        "browser_language": "en-US",
        "browser_timezone": "Europe/Warsaw",
        "device_type": "mobile",
        "theme": "light",
        "total_sessions": 3,
        "last_event_id": 42,
        "last_date": "2026-10-22 18:01:04",
        "date": "2026-10-22 18:01:04"
    }
}
POST https://megaserwer.pl/api/visitors/{visitor_id or visitor_uuid}
Parameters Details Description
custom_parameter_key[index] Optional String -
custom_parameter_value[index] Optional String -
curl --request POST \
--url 'https://megaserwer.pl/api/visitors/{visitor_id or visitor_uuid}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'custom_parameter_key[0]=name' \
--form 'custom_parameter_value[0]=john@example.com' \
{
    "data": {
        "id": 1
    }
}
DELETE https://megaserwer.pl/api/visitors/{visitor_id or visitor_uuid}
curl --request DELETE \
--url 'https://megaserwer.pl/api/visitors/{visitor_id or visitor_uuid}' \
--header 'Authorization: Bearer {api_key}' \